@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
hardware_ticks

Hardware Tick API. More...

## Typedefs

typedef enum tick_gen_num_rp2040 | tick_gen_num_t
| Tick generator numbers on RP2040 (used as typedef tick_gen_num_t).

## Enumerations

enum | tick_gen_num_rp2040 { TICK_WATCHDOG = 0 , TICK_COUNT }
| Tick generator numbers on RP2040 (used as typedef tick_gen_num_t). More...

## Functions

void | tick_start (tick_gen_num_t tick, uint cycles)
| Start a tick generator.
void | tick_stop (tick_gen_num_t tick)
| Stop a tick generator.
bool | tick_is_running (tick_gen_num_t tick)
| Check if a tick genererator is currently running.

## Detailed Description

Hardware Tick API.

RP2040 only has one tick generator, and it is part of the watchdog hardware.

## Typedef Documentation

## tick_gen_num_t

typedef enum tick_gen_num_rp2040 tick_gen_num_t

Tick generator numbers on RP2040 (used as typedef tick_gen_num_t).

RP2040 only has one tick generator, and it is part of the watchdog hardware

## Enumeration Type Documentation

## tick_gen_num_rp2040

enum tick_gen_num_rp2040

Tick generator numbers on RP2040 (used as typedef tick_gen_num_t).

RP2040 only has one tick generator, and it is part of the watchdog hardware

## Function Documentation

## tick_is_running()

bool tick_is_running | ( | tick_gen_num_t | tick | ) |

Check if a tick genererator is currently running.

Parameters

  tick | The tick generator number

Returns
  true if the specific ticker is running.

## tick_start()

void tick_start | ( | tick_gen_num_t | tick,
|  | uint | cycles )

Start a tick generator.

Parameters

  tick | The tick generator number
  cycles | The number of clock cycles per tick

## tick_stop()

void tick_stop | ( | tick_gen_num_t | tick | ) |

Stop a tick generator.

Parameters

  tick | The tick generator number